<?php
	/*
		QassimTwitterOAuth - The easy way to use Twitter API (v1.1).
			Written By: Qassim Hassan.
			Twitter: @QQQHZ
			Websites: wp-time.com | wp-plugins.in | qass.im
			E-Mail: qassim.pay@gmail.com
			Script Link: http://wp-time.com/twitter-rest-api-using-php-without-curl/
			Copyrights: (c) 2016 Qassim Hassan.
	*/
	session_start();
	if( isset($_SESSION['twitter_logged_in']) ){ // If user is logged in
		$title = 'Welcome @' . $_SESSION['screen_name'];
	}else{
		$title = 'Login with Twitter';
	}
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title><?php echo $title; ?></title>
</head>
<body>

	<?php

		if( isset($_SESSION['twitter_logged_in']) ){ // If user is logged in, will be display user data.
			include_once 'QassimTwitterOAuth.php';
			
			$url = 'https://api.twitter.com/1.1/users/show.json';

			$oauth_token = $_SESSION['oauth_token'];

			$oauth_token_secret = $_SESSION['oauth_token_secret'];

			$parameters = array('screen_name' => $_SESSION['screen_name']);

			if( !isset($_SESSION['twitter_result']) ){
				$_SESSION['twitter_result'] = Request($url, 'get', $consumer_key, $consumer_secret, $oauth_token, $oauth_token_secret, $parameters);
				$result = $_SESSION['twitter_result']; // save user data in session
			}else{
				$result = $_SESSION['twitter_result']; // get user data from session
			}
			
			//print_r($result); // you can see all result data

			$full_name = $result['name']; // get user full name

			$username = $result['screen_name']; // get username

			$profile_image_url = str_replace("_normal", null, $result['profile_image_url']); // get user profile image (large size)
			//$profile_thumbnail_image_url = $result['profile_image_url']; // get user profile thumbnail image (small size)

			if( !empty($result['description']) ){ // if user has bio
				$get_bio = $result['description']; // get user bio
				$bio = "<p>$get_bio</p>";
			}else{
				$bio = null;
			}

			/* More result */
			//$tweets_count = $result['statuses_count']; // get tweets count

			//$followers_count = $result['followers_count']; // get followers count

			//$following_count = $result['friends_count'];  // get following count

			//$likes_count = $result['favourites_count']; // get likes count

			//$website = $result['entities']['url']['urls'][0]['expanded_url']; // get user website

			//$location = $result['location']; // get user location

			//$profile_header_url = $result['profile_banner_url']; // get header image link
			?>
				<h1>Welcome <?php echo $full_name; ?></h1>

				<p>@<?php echo $username; ?> - <a href="logout.php">Logout?</a></p>

				<?php echo $bio; ?>

				<p><img src="<?php echo $profile_image_url; ?>"></p>
			<?php
		}

		else{
			echo '<a href="login.php">Login with Twitter</a>';
		}

	?>

</body>
</html>